Skip to content
Dashboard
Theme
Theme

Revoke a portal invite

POST /v1/portal/invites/{invite}/revoke: Revoke a portal invite.

View Markdown

POST /v1/portal/invites/{invite}/revoke

Scope
portal_links:write
Auth
Secret key (sk_…)
Since
1.0
  • invite string Required

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • Idempotency-Key string

    Honoured for 24 h; a replay returns the original response.

    min length 1 · max length 255

Errors share one shape; see the error code catalogue.

curl -X POST \
"https://api.ohauthcat.com/v1/portal/invites/pinv_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/revoke" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"completion": {
"features": [
"sso"
],
"connection": "conn_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"directory": "dir_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "portal_setup_completion",
"completed_at": "2026-01-15T09:30:00Z"
},
"profile": "pprof_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"id": "pinv_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "portal_invite",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"intents": [
"sso"
],
"email": "jane@acme.com",
"state": "pending",
"url": "https://app.acme.com/callback",
"expires_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z"
}